
#
#	SOFFIC
#

if [ "$CONFIG_EXPERIMENTAL" = "y" ]; then

mainmenu_option next_comment
comment 'SOFFIC  (EXPERIMENTAL)'

bool 'Enable SOFFIC  (EXPERIMENTAL)' CONFIG_SOFFIC
if [ "$CONFIG_SOFFIC" = "y" ]; then

   # Define CryptoAPI Options, needed by SOFFIC.
   # Read: http://www.inf.ufrgs.br/~gseg/projetos/soffic-howto/SOFFIC-HOWTO-3.html#ss3.3
   define_bool CONFIG_CRYPTO y
   define_bool CONFIG_CIPHERS y
   define_bool CONFIG_DIGESTS y
   define_bool CONFIG_DIGEST_MD5 y
   define_bool CONFIG_DIGEST_SHA1 y

   bool '  DENY READING enabled by default'	CONFIG_SOFFIC_READDENY	"y"

   bool '  Enable RVFC'				CONFIG_SOFFIC_RVFC	"y"
   if [ "$CONFIG_SOFFIC_RVFC" = "y" ]; then
      int '   Maximum entries on RVF Cache'	CONFIG_SOFFIC_RVFC_SZ	256
   fi
fi

endmenu

fi

# EOF
